"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatTwitterStatus = exports.formatMastoStatus = exports.formatRejection = exports.WAIT_TIME_BETWEEN_REPLIES = void 0;
const strict_1 = __importDefault(require("assert/strict"));
/**
 * Kludge (or superstition) to try to avoid hitting API rate limits. Should be
 * made configurable -- or rate limiting should just be handled better.
 */
exports.WAIT_TIME_BETWEEN_REPLIES = 50;
function formatRejection(rej) {
    (0, strict_1.default)(Array.isArray(rej.reason));
    const [error, config] = rej.reason;
    const message = error instanceof Error
        ? error.stack ?? error.toString()
        : JSON.stringify(error);
    return `${config.type}${config.type === "mastodon" ? ` (${config.server})` : ""} error:\n\n${message}`;
}
exports.formatRejection = formatRejection;
const formatMastoStatus = (s) => `${s.content || "<no text>"}\n${s.createdAt} => ${s.uri}`;
exports.formatMastoStatus = formatMastoStatus;
const formatTwitterStatus = (s) => `${s.text || "<no text>"}\n${s.created_at} => https://twitter.com/${s.user.screen_name}/status/${s.id_str}`;
exports.formatTwitterStatus = formatTwitterStatus;
//# sourceMappingURL=util.js.map